/* Custom CSS for pagination with transparent background and borders */
.pagination {
    display: flex;
    justify-content: center;
    margin: 20px 0;
    list-style: none;
    padding: 0;
}

.pagination li {
    margin: 0 5px;
}

.pagination a, .pagination span {
    background-color: transparent;
    border: 2px solid #e0287d;
    color: #e0287d;
    padding: 10px 20px;
    font-size: 16px;
    text-transform: uppercase;
    letter-spacing: 2px;
    cursor: pointer;
    transition: all 0.3s ease;
    margin: 10px;
}

.pagination a:hover {
    background-color: #e0287d;
    color: #111;
    box-shadow: 0 0 10px #e0287d;
}

.pagination .active span {
    background-color: #e0287d;
    color: #111;
    box-shadow: 0 0 10px #e0287d;
}

.pagination .disabled span {
    background-color: #e0287d;
    color: #6c757d;
    border-color: #e0287d;
    cursor: not-allowed;
}

/* Style for Previous and Next links */
.pagination .prev, .pagination .next {
    font-weight: bold;
}

.page-item.active .page-link {
    z-index: 3;
    color: #111;
    background-color: #e0287d;
    border-color: #e0287d;
}

.page-item.disabled .page-link {
    color: #111;
    pointer-events: none;
    background-color: #e0287d;
    border-color: #e0287d;
}